-------------------------------------------------------
-- AddFilegroups.sql
-- Setup Script for Partitioning Exercise

-- This script adds 4 FILEGROUPS and 4 FILES
-- (one for each filegroup) to the AdventureWorks 
-- database. 

-- You must have a subdirectory of c:\AdventureWorks
-- OR REPLACE ALL references of this path.

-- May 2004
-------------------------------------------------------

-------------------------------------------------------
-- First, Create a backup of AdventureWorks!
-------------------------------------------------------

--BACKUP DATABASE AdventureWorks
--	TO DISK = 'C:\AdventureWorks\AdventureWorksBackup.BAK'
--	WITH INIT
--
--RESTORE DATABASE AdventureWorks
--	FROM DISK = 'C:\AdventureWorks\AdventureWorksBackup.BAK'
--	WITH FILE = 1

-------------------------------------------------------
-- For RANGE Partitions
-- Add 5 FILEGROUPS to the AdventureWorks Database
-------------------------------------------------------
GO

ALTER DATABASE AdventureWorks
ADD FILEGROUP [2003Q3]
GO

ALTER DATABASE AdventureWorks
ADD FILEGROUP [2003Q4]
GO

ALTER DATABASE AdventureWorks
ADD FILEGROUP [2004Q1]
GO

ALTER DATABASE AdventureWorks
ADD FILEGROUP [2004Q2]
GO

-------------------------------------------------------
-- For RANGE Partitions
-- Add Files to each Filegroup
-------------------------------------------------------
ALTER DATABASE AdventureWorks
ADD FILE 
  (NAME = N'RPFile1',
  FILENAME = N'C:\AdventureWorks\RPFile1.ndf',
  SIZE = 5MB,
  MAXSIZE = 100MB,
  FILEGROWTH = 5MB)
TO FILEGROUP [2003Q3]
GO

ALTER DATABASE AdventureWorks
ADD FILE 
  (NAME = N'RPFile2',
  FILENAME = N'C:\AdventureWorks\RPFile2.ndf',
  SIZE = 5MB,
  MAXSIZE = 100MB,
  FILEGROWTH = 5MB)
TO FILEGROUP [2003Q4]
GO

ALTER DATABASE AdventureWorks
ADD FILE 
  (NAME = N'RPFile3',
  FILENAME = N'C:\AdventureWorks\RPFile3.ndf',
  SIZE = 5MB,
  MAXSIZE = 100MB,
  FILEGROWTH = 5MB)
TO FILEGROUP [2004Q1]
GO

ALTER DATABASE AdventureWorks
ADD FILE 
  (NAME = N'RPFile4',
  FILENAME = N'C:\AdventureWorks\RPFile4.ndf',
  SIZE = 5MB,
  MAXSIZE = 100MB,
  FILEGROWTH = 5MB)
TO FILEGROUP [2004Q2]
GO

-------------------------------------------------------
-- Verify all files and filegroups
-------------------------------------------------------
USE AdventureWorks
go

sp_helpfile
go